package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.List;

import com.supervision.handler.StringListTypeHandler;
import lombok.Data;

/**
 * 病历表
 *
 * @TableName vp_medical_rec
 */
@TableName(value = "vp_medical_rec", autoResultMap = true)
@Data
public class MedicalRec implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 病例编号
     */
    private String no;

    /**
     * 病人ID
     */
    private String patientId;

    /**
     * 疾病列表
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> diseaseList;

    /**
     * 患者主诉
     */
    private String patientSelfDesc;

    /**
     * 症状
     */
    private String symptoms;

    /**
     * 预期诊断结果
     */
    private String expectDiagnosisResult;

    /**
     * 预期治疗计划
     */
    private String expectDiseaseTreatmentPlan;

    /**
     * 初步诊断
     */
    private Object primaryDiagnosis;

    /**
     * 过敏史
     */
    private String allergyHistory;

    /**
     * 既往史
     */
    private String previousHistory;

    /**
     * 家族史
     */
    private String familyHistory;

    /**
     * 婚育史
     */
    private String marriageChildHistory;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}