package com.supervision.service.impl;

import com.supervision.model.Process;
import com.supervision.model.User;
import com.supervision.service.AskProcessService;
import com.supervision.service.ProcessService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@RequiredArgsConstructor
public class AskProcessServiceImpl implements AskProcessService {

    private final ProcessService processService;

    @Override
    public Process creatDiagnosisProcess(String patientId,String medicalId, User user) {
        Process process = new Process();
        process.setPatientId(patientId);
        process.setMedicalRecId(medicalId);
        process.setUserId(user.getId());
        process.setStatus(0);
        process.setCreateUserId(user.getId());
        process.setUpdateUserId(user.getId());
        processService.save(process);
        return process;
    }

    @Override
    public List<Process> queryUserProcess(String userId) {
        return processService.lambdaQuery().eq(Process::getUserId,userId).list();
    }
}
